﻿Imports Infragistics.Win.UltraWinGrid

Public Class Form1
    Private _sw1 As Stopwatch
    Private _ms1 As Long
    Private _sw4 As Stopwatch
    Private _ms4 As Long

    Public Sub New()
        ' This call is required by the designer.
        InitializeComponent()

        ' Add any initialization after the InitializeComponent() call.
        SetUltraGridDataSource()

        _sw1 = New Stopwatch()
        _sw4 = New Stopwatch()
    End Sub

    Private Sub SetUltraGridDataSource()
        Dim dataSource = New List(Of GuidHolder)()

        For index = 1 To 54543
            dataSource.Add(New GuidHolder())
        Next
        UltraGrid1.DataSource = New List(Of GuidHolder)(dataSource.ToList)
    End Sub

    Private Sub Button1_Click(sender As System.Object, e As System.EventArgs) Handles Button1.Click
        _sw1.Start()
        UltraGridExcelExporter1.Export(UltraGrid1, "D:\ExportedExcel.xlsx")
        _sw1.Stop()
        MessageBox.Show("ExportStarted: " & _ms1 & " ms" & vbNewLine & "Export done: " & _sw1.ElapsedMilliseconds & " ms")
    End Sub

    Private Sub UltraGridExcelExporter1_ExportStarted(sender As Object, e As Infragistics.Win.UltraWinGrid.ExcelExport.ExportStartedEventArgs) Handles UltraGridExcelExporter1.ExportStarted
        _ms1 = _sw1.ElapsedMilliseconds
    End Sub

    Private Sub UltraGridExcelExporter4_ExportStarted(sender As System.Object, e As Infragistics.Win.UltraWinGrid.ExcelExport.ExportStartedEventArgs) Handles UltraGridExcelExporter4.ExportStarted
        _ms4 = _sw4.ElapsedMilliseconds
    End Sub

    Private Sub Button4_Click(sender As System.Object, e As System.EventArgs) Handles Button4.Click
        _sw4.Start()
        UltraGridExcelExporter4.ExportAsync(UltraGrid1, "D:\ExportedExcel.xlsx")
    End Sub

    Private Sub ExportEnded4(sender As Object, e As ExcelExport.ExportEndedEventArgs) Handles UltraGridExcelExporter4.ExportEnded
        _sw4.Stop()
        MessageBox.Show("ExportStarted: " & _ms4 & " ms" & vbNewLine & "Export done: " & _sw4.ElapsedMilliseconds & " ms")
    End Sub

End Class
